/******************************************************************************
 *
 * dt_locale.h - Locale support code. Part of the DirTools project.
 *
 * $Revision: 1.1 $
 *
 * Copyright (c) 2001-2004 Olivier Castan
 *
 * This program/include file is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as published
 * by the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program/include file is distributed in the hope that it will be
 * useful, but WITHOUT ANY WARRANTY; without even the implied warranty
 * of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program (in the main directory of the Linux-NTFS
 * distribution in the file COPYING); if not, write to the Free Software
 * Foundation,Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * format : indent -br -ce -cdw -nut -i5
 *
 *****************************************************************************/

#ifndef _DT_LOCALE_H_
#define _DT_LOCALE_H_ 1

#include <stdlib.h>
#include <stdint.h>

typedef enum
{
	DT_SET_UTF8,
	DT_SET_LOCALE,
} DT_LOCALE_TYPE;

char *dt_getlocale (void);
int dt_setlocale (const char *);
void dt_get_unicode (unsigned char *, wchar_t *, uint32_t);
size_t dt_mbstowcs(wchar_t *, const char *, size_t);
void set_wc_output_function(DT_LOCALE_TYPE);
int (* dt_fputwc)(FILE *, wchar_t);
int dt_fputwcs(FILE *, const wchar_t *);

#endif /* _DT_LOCALE_H_ */




